Bug 167340 - Proclaim that we are considering font-display, rhythmic sizing, and text decoration level 4
Summary: Proclaim that we are considering font-display, rhythmic sizing, and text deco...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-23 16:12 PST by Myles C. Maxfield
Modified: 2017-01-27 14:41 PST (History)
0 users

See Also:


Attachments
Patch (3.32 KB, patch)
2017-01-23 16:12 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (3.32 KB, patch)
2017-01-27 12:00 PST, Myles C. Maxfield
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2017-01-23 16:12:14 PST
Proclaim that we are considering font-display, rhythmic sizing, and text decoration level 4
Comment 1 Myles C. Maxfield 2017-01-23 16:12:41 PST
Created attachment 299551 [details]
Patch
Comment 2 Sam Weinig 2017-01-24 08:41:32 PST
Comment on attachment 299551 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=299551&action=review

> Source/WebCore/features.json:139
> +        "description": "Allows block content to set a simple grid to which lines will adhere",

The other two descriptions you added have periods at the end of the sentence in the description. We should be consistent.

> Source/WebCore/features.json:179
> +        "keywords": ["css text decoration", "text decoration"],

Do we really need to add strict subset phrases? That seems unfortunate.
Comment 3 Myles C. Maxfield 2017-01-27 12:00:09 PST
Created attachment 299948 [details]
Patch
Comment 4 Simon Fraser (smfr) 2017-01-27 12:06:12 PST
Comment on attachment 299948 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=299948&action=review

> Source/WebCore/features.json:51
> +        "description": "Allows content to specify timelines of what browsers display during font loading.",

This text is pretty confusing.
Comment 5 Myles C. Maxfield 2017-01-27 14:41:07 PST
Committed r211303: <http://trac.webkit.org/changeset/211303>